# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.metadata.impl.PasskeyAaguidMetadataService

Packages that use PasskeyAaguidMetadataService
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.metadata.impl
This package has the FIDO metadata implementation for WebAuthn.

## Uses of PasskeyAaguidMetadataService in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as PasskeyAaguidMetadataService
Modifier and Type
Field
Description
`private PasskeyAaguidMetadataService`
AbstractWebAuthnAction.`aaguidService`
Supplementary description and icon information for passkey providers not in the MDS feed (mostly software providers).
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that return PasskeyAaguidMetadataService
Modifier and Type
Method
Description
`PasskeyAaguidMetadataService`
AbstractWebAuthnAction.`getAaguidService()`
Get the supplementary description service which contains descriptions and icons for passkey providers not in the MDS feed.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type PasskeyAaguidMetadataService
Modifier and Type
Method
Description
`void`
AbstractWebAuthnAction.`setAaguidService(PasskeyAaguidMetadataService service)`
Set the supplementary description service which contains descriptions and icons for passkey providers not in the MDS feed.

## Uses of PasskeyAaguidMetadataService in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl that return PasskeyAaguidMetadataService
Modifier and Type
Method
Description
`PasskeyAaguidMetadataService`
PasskeyAaguidMetadataFactory.`getObject()`